=== debian/changelog ===
crawl (2:0.33.1-3) unstable; urgency=medium

  * Fix broken autopkgtest.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 27 Oct 2025 13:31:18 -0700

crawl (2:0.33.1-2) unstable; urgency=medium

  * Add autopkgtest test suite for crawl.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 26 Oct 2025 17:55:04 -0700

crawl (2:0.33.1-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * Salvage package; move maintainership of package to Debian Games team, and
    add all previous maintainers as Uploaders. Thanks to all previous
    maintainers for their work! (Closes: #1110842)
    - Upload to salsa and update Vcs-* headers in d/control.
  * New upstream release. (Closes: #1061682)
    - Damage ratings are now shown via @, including those for unarmed combat.
      This was introduced in 0.30. (Closes: #530817)
  * Drop debian/patches/bogus_watch. Modern uscan now defaults to
    --check-dirname-level=1, so no need to overwrite upstream watch file.
  * Update d/watch to pull in correct nodeps tarball.
  * Update obsolete build-deps (libfreetype6-dev => libfreetype-dev,
    libncursesw5-dev => libncurses-dev, pkg-config => pkgconf).
  * Drop unused build-deps libglu-dev and moreutils.
  * Update d/copyright to use machine-readable DEP-5 format.
  * Run wrap-and-sort -sa and fix trailing whitespaces in d/changelog.
  * Add DEP-12 debian/upstream/metadata file.
  * Bump Standards-Version to 4.7.2.
  * Cherry-pick changes from upstream packaging.

  [ robertxgray ]
  * Debian build updated to make use of the install-xdg-data target.
  * Common files have been removed from the debian folder.
  * Fixed missing icon in crawl menu item if crawl-tiles is not installed.
  * Use Debian's uses machine-readable format for copyright file.
  * Remove menu files based on CTTE #741573.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 31 Aug 2025 11:27:45 -0700
