=== debian/control ===
Source: crawl
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Guus Sliepen <guus@debian.org>,
 Trent W. Buck <trentbuck@gmail.com>,
 Vincent Cheng <vcheng@debian.org>
Build-Depends:
 advancecomp,
 bison,
 debhelper-compat (= 13),
 flex,
 libfreetype-dev,
 liblua5.1-0-dev,
 libncurses-dev,
 libpng-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsqlite3-dev,
 pkgconf,
 python3-yaml
Standards-Version: 4.7.2
Homepage: https://crawl.develz.org/
Vcs-Git: https://salsa.debian.org/games-team/crawl.git
Vcs-Browser: https://salsa.debian.org/games-team/crawl
Rules-Requires-Root: no

Package: crawl-common
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 crawl | crawl-tiles
Description: Dungeon Crawl, a text-based roguelike game (data files)
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 These are the data and support files.
 .
 This is the Stone Soup version of Dungeon Crawl.

Package: crawl
Architecture: any
Depends:
 crawl-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Dungeon Crawl, a text-based roguelike game
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 This is the console version, for tiles, use crawl-tiles instead.
 .
 This is the Stone Soup version of Dungeon Crawl.

Package: crawl-tiles-data
Architecture: all
Depends:
 crawl-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 crawl-tiles
Description: Dungeon Crawl, a text-based roguelike game (tile data files)
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 These are the tile graphics.
 .
 This is the Stone Soup version of Dungeon Crawl.

Package: crawl-tiles
Architecture: any
Depends:
 crawl-common (= ${source:Version}),
 crawl-tiles-data (= ${source:Version}),
 fonts-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Dungeon Crawl, a roguelike game, tiles version
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 This is the graphical (tiles) version.
 .
 This is the Stone Soup version of Dungeon Crawl.
