=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/;\
                     s/(\d.*)\/stone_soup[_\.\-\+](\d.*)$/$1/" \
  https://github.com/crawl/crawl/releases .*/v?(\d.*)-nodeps@ARCHIVE_EXT@
