## crawl 0.34.0

=== debian/changelog ===
crawl (2:0.34.0-1) unstable; urgency=medium

  * New upstream release.
    - Replace build-dep on liblua5.1-0-dev with liblua5.4-dev.
  * Bump Standards-Version to 4.7.3.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 07 Feb 2026 14:34:26 -0800
