=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  debhelper-compat (= 13),
  flex,
  libfreetype-dev,
- liblua5.1-0-dev,
+ liblua5.4-dev,
  libncurses-dev,
  libpng-dev,
  libsdl2-dev,
@@ -21,7 +21,7 @@
  libsqlite3-dev,
  pkgconf,
  python3-yaml
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://crawl.develz.org/
 Vcs-Git: https://salsa.debian.org/games-team/crawl.git
 Vcs-Browser: https://salsa.debian.org/games-team/crawl
