## crawl 1.0

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models for animal movement data
Version: 1.0
Date: 2008-12-12
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: R (>= 2.4.0)
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary was designed for fitting
	     continuous-time correlated random walk (CTCRW) models with time indexed
	     covariates. The model is fit using the Kalman-Filter on a state space
	     version of the continuous-time stochastic movement process.
License: GPL (>=2)
LazyLoad: yes
Packaged: Wed Dec 17 14:22:23 2008; johnsond
