## crawl 1.0-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: crawl
 Type: Package
 Title: Fit continuous-time correlated random walk models for animal movement data
-Version: 1.0
+Version: 1.0-1
 Date: 2008-12-12
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
@@ -12,4 +12,4 @@
 	     version of the continuous-time stochastic movement process.
 License: GPL (>=2)
 LazyLoad: yes
-Packaged: Wed Dec 17 14:22:23 2008; johnsond
+Packaged: Fri Jan  9 10:09:52 2009; xjohnson
