## crawl 1.0-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: crawl
 Type: Package
 Title: Fit continuous-time correlated random walk models for animal movement data
-Version: 1.0-1
-Date: 2008-12-12
+Version: 1.0-3
+Date: 2008-01-10
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Depends: R (>= 2.4.0)
@@ -12,4 +12,4 @@
 	     version of the continuous-time stochastic movement process.
 License: GPL (>=2)
 LazyLoad: yes
-Packaged: Fri Jan  9 10:09:52 2009; xjohnson
+Packaged: Mon Feb  2 11:53:27 2009; xjohnson
