## crawl 1.1-0

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models for animal
        movement data
Version: 1.1-0
Date: 2009-07-06
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: R (>= 2.4.0), mvtnorm
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of R functions
        was designed for fitting continuous-time correlated random walk
        (CTCRW) models with time indexed covariates. The model is fit
        using the Kalman-Filter on a state space version of the
        continuous-time staochistic movement process.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2009-12-11 20:33:47 UTC; johnsond
Repository: CRAN
Date/Publication: 2009-12-13 09:46:29
