## crawl 1.1-1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fit continuous-time correlated random walk models for animal
         movement data
-Version: 1.1-0
+Version: 1.1-1
 Date: 2009-07-06
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
@@ -14,6 +14,6 @@
         continuous-time staochistic movement process.
 License: GPL (>= 2)
 LazyLoad: yes
-Packaged: 2009-12-11 20:33:47 UTC; johnsond
+Packaged: 2010-04-01 19:13:32 UTC; johnsond@afsc.noaa.gov
 Repository: CRAN
-Date/Publication: 2009-12-13 09:46:29
+Date/Publication: 2010-04-02 17:07:57
