## crawl 1.2

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models for animal
        movement data
Version: 1.2
Date: 2011-01-20
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: R (>= 2.4.0), mvtnorm
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of R functions
        was designed for fitting continuous-time correlated random walk
        (CTCRW) models with time indexed covariates. The model is fit
        using the Kalman-Filter on a state space version of the
        continuous-time stochastic movement process.
License: Unlimited
LazyLoad: yes
Packaged: 2011-01-20 18:54:51 UTC; johnsond@afsc.noaa.gov
Repository: CRAN
Date/Publication: 2011-01-21 08:46:10
