## crawl 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fit continuous-time correlated random walk models for animal
         movement data
-Version: 1.2
-Date: 2011-01-20
+Version: 1.3
+Date: 2011-05-26
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Depends: R (>= 2.4.0), mvtnorm
@@ -14,6 +14,6 @@
         continuous-time stochastic movement process.
 License: Unlimited
 LazyLoad: yes
-Packaged: 2011-01-20 18:54:51 UTC; johnsond@afsc.noaa.gov
+Packaged: 2011-05-25 16:59:50 UTC; johnsond@afsc.noaa.gov
 Repository: CRAN
-Date/Publication: 2011-01-21 08:46:10
+Date/Publication: 2011-05-25 18:10:36
