## crawl 1.3-1

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models for animal
        movement data
Version: 1.3-1
Date: 2011-11-26
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: mvtnorm, sp, tripEstimation
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of
    R functions was designed for fitting continuous-time
    correlated random walk (CTCRW) models with time indexed
    covariates. The model is fit using the Kalman-Filter on
    a state space version of the continuous-time stochastic
    movement process.
License: Unlimited
LazyLoad: yes
Collate: 'AllMethod.R' 'crawl-internal.R' 'crawl-package.R' 'crwMLE.R'
        'crwN2ll.R' 'crwPostIS.R' 'crwPredict.R' 'crwPredictPlot.R'
        'crwSamplePar.R' 'crwSimulator.R' 'crwUseGrid.R' 'expandPred.R'
        'fillCols.R' 'getQ.R' 'intToPOSIX.R' 'logSpeed.R'
        'mergeTrackStop.R'
Packaged: 2011-10-27 22:07:21 UTC; johnsond@afsc.noaa.gov
Repository: CRAN
Date/Publication: 2011-10-28 07:08:29
