## crawl 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fit continuous-time correlated random walk models to animal
         movement data
-Version: 1.3-4
-Date: 2012-4-7
+Version: 1.4
+Date: 2013-2-1
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Depends: mvtnorm, sp, raster
@@ -18,7 +18,7 @@
         'crwN2ll.R' 'crwPostIS.R' 'crwPredict.R' 'crwPredictPlot.R'
         'crwSamplePar.R' 'crwSimulator.R' 'crwUseGrid.R' 'expandPred.R'
         'fillCols.R' 'getQ.R' 'intToPOSIX.R' 'logSpeed.R'
-        'mergeTrackStop.R' 'aic.crw.R'
-Packaged: 2012-04-09 18:28:22 UTC; Devin.Johnson@afsc.noaa.gov
+        'mergeTrackStop.R' 'aic.crw.R' 'displayPar.R'
+Packaged: 2013-02-04 17:46:27 UTC; Devin.Johnson@afsc.noaa.gov
 Repository: CRAN
-Date/Publication: 2012-04-10 04:17:02
+Date/Publication: 2013-02-04 20:10:14
