## crawl 1.5

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit Continuous-Time Correlated Random Walk Models to Animal
        Movement Data
Version: 1.5
Date: 2015-8-19
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: mvtnorm, sp, raster
Suggests: spacetime
Imports: graphics, methods, stats
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of
    R functions was designed for fitting continuous-time
    correlated random walk (CTCRW) models with time indexed
    covariates. The model is fit using the Kalman-Filter on
    a state space version of the continuous-time stochastic
    movement process.
License: Unlimited
LazyLoad: yes
NeedsCompilation: yes
Packaged: 2015-08-20 01:33:02 UTC; devin.johnson
Repository: CRAN
Date/Publication: 2015-08-20 10:39:47
