## crawl 2.0

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit Continuous-Time Correlated Random Walk Models to Animal
        Movement Data
Version: 2.0
Date: 2016-02-24
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: R (>= 2.10)
Imports: mvtnorm, Rcpp (>= 0.11.1), methods, shiny
LinkingTo: Rcpp, RcppArmadillo
Suggests: ggplot2, knitr, rmarkdown, sp, rgdal, argosfilter, tidyr,
        dplyr, lubridate, xts, doParallel
Description: The Correlated Random Walk Library of
    R functions was designed for fitting continuous-time
    correlated random walk models with time indexed
    covariates. The model is fit using the Kalman-filter on
    a state space version of the continuous-time stochastic
    movement process.
License: CC0
LazyLoad: yes
ByteCompile: TRUE
NeedsCompilation: yes
VignetteBuilder: knitr
RoxygenNote: 5.0.1
Packaged: 2016-02-25 22:50:56 UTC; devin.johnson
Repository: CRAN
Date/Publication: 2016-02-26 05:49:23
