## crawl 2.2.0

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit Continuous-Time Correlated Random Walk Models to Animal
        Movement Data
Version: 2.2.0
Date: 2018-08-24
Authors@R: c( person("Devin S.", "Johnson", email = "devin.johnson@noaa.gov",
                  role = c("aut", "cre")),
           person("Josh", "London", email = "josh.london@noaa.gov",
                  role = c("aut")),
           person("Kenady", "Wilson", email = "kenady@wildlifecomputers.com",
                  role = c("ctb")) )
Depends: R (>= 2.10)
Imports: mvtnorm, Rcpp (>= 0.11.1), methods, shiny, dplyr, raster,
        gdistance, rmapshaper, sp, sf, magrittr, lubridate, tibble,
        purrr
LinkingTo: Rcpp, RcppArmadillo
Suggests: ggplot2, rgdal, argosfilter, tidyr, xts, broom, doParallel
Description: Fit continuous-time correlated random walk models with time indexed
    covariates to animal telemetry data. The model is fit using the Kalman-filter on
    a state space version of the continuous-time stochastic movement process.
License: CC0
LazyLoad: yes
ByteCompile: TRUE
NeedsCompilation: yes
RoxygenNote: 6.0.1
Packaged: 2018-08-24 23:07:54 UTC; djohnson
Author: Devin S. Johnson [aut, cre],
  Josh London [aut],
  Kenady Wilson [ctb]
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Repository: CRAN
Date/Publication: 2018-08-25 04:44:26 UTC
