## crawl 2.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fit Continuous-Time Correlated Random Walk Models to Animal
         Movement Data
-Version: 2.2.0
-Date: 2018-08-24
+Version: 2.2.1
+Date: 2018-09-12
 Authors@R: c( person("Devin S.", "Johnson", email = "devin.johnson@noaa.gov",
                   role = c("aut", "cre")),
            person("Josh", "London", email = "josh.london@noaa.gov",
@@ -24,10 +24,10 @@
 ByteCompile: TRUE
 NeedsCompilation: yes
 RoxygenNote: 6.0.1
-Packaged: 2018-08-24 23:07:54 UTC; djohnson
+Packaged: 2018-09-14 18:45:39 UTC; djohnson
 Author: Devin S. Johnson [aut, cre],
   Josh London [aut],
   Kenady Wilson [ctb]
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Repository: CRAN
-Date/Publication: 2018-08-25 04:44:26 UTC
+Date/Publication: 2018-09-14 19:20:10 UTC
