## crawl 2.3.0

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit Continuous-Time Correlated Random Walk Models to Animal
        Movement Data
Version: 2.3.0
Date: 2022-10-06
Authors@R: c(person("Devin S.", "Johnson", email = "devin.johnson@noaa.gov",
                  role = c("aut", "cre")),
                  person("Josh", "London", email = "josh.london@noaa.gov",
                  role = c("aut")),
                  person("Brett T.", "McClintock", email = "brett.mcclintock@noaa.gov",
                  role = c("ctb")),
           person("Kenady", "Wilson", email = "kenady@wildlifecomputers.com",
                  role = c("ctb")) )
Depends: R (>= 3.4.0)
Imports: mvtnorm, Rcpp (>= 0.11.1), methods, dplyr, sf, sp, tibble,
        magrittr, lubridate, purrr, rlang
LinkingTo: Rcpp, RcppArmadillo
Description: Fit continuous-time correlated random walk models with time indexed
    covariates to animal telemetry data. The model is fit using the Kalman-filter on
    a state space version of the continuous-time stochastic movement process.
License: CC0
Encoding: UTF-8
LazyLoad: yes
ByteCompile: TRUE
NeedsCompilation: yes
RoxygenNote: 7.2.1
LazyData: true
Packaged: 2022-10-06 21:31:16 UTC; devin.johnson
Author: Devin S. Johnson [aut, cre],
  Josh London [aut],
  Brett T. McClintock [ctb],
  Kenady Wilson [ctb]
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Repository: CRAN
Date/Publication: 2022-10-09 20:30:02 UTC
