## crawl 2.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fit Continuous-Time Correlated Random Walk Models to Animal
         Movement Data
-Version: 2.3.0
-Date: 2022-10-06
+Version: 2.3.1
+Date: 2026-02-25
 Authors@R: c(person("Devin S.", "Johnson", email = "devin.johnson@noaa.gov",
                   role = c("aut", "cre")),
                   person("Josh", "London", email = "josh.london@noaa.gov",
@@ -24,13 +24,15 @@
 LazyLoad: yes
 ByteCompile: TRUE
 NeedsCompilation: yes
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.3
+URL: https://github.com/NMML/crawl
+BugReports: https://github.com/NMML/crawl/issues
 LazyData: true
-Packaged: 2022-10-06 21:31:16 UTC; devin.johnson
+Packaged: 2026-02-25 17:38:19 UTC; devin.johnson
 Author: Devin S. Johnson [aut, cre],
   Josh London [aut],
   Brett T. McClintock [ctb],
   Kenady Wilson [ctb]
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Repository: CRAN
-Date/Publication: 2022-10-09 20:30:02 UTC
+Date/Publication: 2026-02-26 06:10:19 UTC
